%global meadalpha %{nil}
%global meadrel %{nil}
%global version_major 1
%global version_minor 39
%global version_micro 2

%{?scl:%scl_package nghttp2}
%{!?scl:%global pkg_name %{name}}

%global commitid f4f017bc2b9b13367954aafdb7f104a5b006d415
%global serial 41

Name:           %{?scl_prefix}nghttp2
Version:        1.39.2
Release:        %{serial}%{?dist}
Summary:        Nghttp2: HTTP/2 C Library

License:        MIT
URL:            https://github.com/nghttp2/nghttp2
Source0:        %{pkg_name}-%{commitid}.tar.gz

%{?scl:Requires: %scl_runtime}

BuildRequires: autoconf, automake, libtool
BuildRequires: %{?scl_prefix}openssl-devel
%ifarch x86_64
BuildRequires: CUnit-devel
%endif

%description
This is an implementation of the Hypertext Transfer Protocol version 2 in C.

# Exludes files in %{_libdir} from being added to the list of what the package provides
%global __provides_exclude_from ^(%{_libdir}/.*)$
%global __requires_exclude ^(libnghttp2[.]so.*)$

%package devel
Summary: Files needed for building applications with libnghttp2
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The nghttp2-devel package includes libraries and header files needed
for building applications with libnghttp2.

%prep
%setup -q -n %{pkg_name}-%{commitid}
%if 0%{?rhel} == 6
sed -i  's/2.64/2.63/' m4/ax_check_compile_flag.m4
%endif
#%if 0%{?rhel} >= 7
autoreconf -i
automake
autoconf
# else use the rhel-6 artifacts provided by the look aside repo
# this is done because autoconf in rhel-6 cannot build the library
#%endif

%build
LDFLAGS="$LDFLAGS -Wl,-rpath=%{_libdir}"
# Adding the "-z,now" option in LDFLAGS in order to gain
# full RELRO support
%if "%{?rhel}" >= "7"
LDFLAGS="$LDFLAGS -Wl,-z,now"
%else
LDFLAGS="$LDFLAGS -Wl,-z,relro,-z,now"
%endif
export LDFLAGS

test -d "%{scldir}/usr/lib64" && \
    OPENSSL_LIBS="-L%{scldir}/usr/lib64" || \
    OPENSSL_LIBS="-L%{scldir}/usr/lib"

OPENSSL_CFLAGS="-I%{scldir}/usr/include" OPENSSL_LIBS="$OPENSSL_LIBS -lcrypto -lssl" %configure --disable-static
make %{?_smp_mflags}

%ifarch x86_64
%check
make check
%endif

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%make_install

#huwang:JBCS-349: remove /opt/rh/jbcs-httpd24/root/usr/share/doc/nghttp2/README.rst, it will be added in the %files section
#otherwise, directory structure will be like: https://brewweb.engineering.redhat.com/brew/rpminfo?rpmID=5557105
rm -rf %{buildroot}%{_docdir}/nghttp2
rm -rf %{buildroot}%{_libdir}/*.la
%files
%defattr(-,root,root,-)
%doc README README.rst COPYING INSTALL AUTHORS
%{_mandir}/man1/*
%{_libdir}/*.so.*
# JBCS-342
#%{_includedir}/nghttp2/*
%{_datarootdir}/*

#JBCS-342
%files devel
%defattr(-,root,root,-)
%{_includedir}/nghttp2/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Wed Apr 06 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-41
Built by CPaaS



* Tue Apr 05 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-40
Built by CPaaS



* Wed Sep 15 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-39
Built by CPaaS

* Wed Sep 15 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-38
Built by CPaaS

* Thu Apr 01 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-37
Built by CPaaS

* Fri Mar 26 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-36
Built by CPaaS

* Mon Dec 21 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-35
Built by CPaaS

* Sun Oct 11 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-34
Built by CPaaS

* Sat Oct 10 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-33
Built by CPaaS

* Thu Oct 08 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-32
Built by CPaaS

* Tue Oct 06 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-31
Built by CPaaS

* Thu Jan 23 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-13
Built by CPaaS

* Tue Jan 21 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-12
Built by CPaaS

* Fri Jan 17 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-11
Built by CPaaS

* Tue Dec 17 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - 1.39.2-10
- JBCS 2.4.37-SP1.ER1

* Thu Dec 05 2019 Mladen Turk <mturk@redhat.com> - 1.39.2-8
- rebuild for JBCS httpd 2.4.37-SP1

* Fri Nov 15 2019 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-7
Built by CPaaS

* Fri Nov 15 2019 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-6
Built by CPaaS

* Fri Nov 15 2019 cpaas-ops <cpaas-ops@redhat.com> - 1.39.2-5
Built by CPaaS

* Thu Oct 10 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - 1.39.2-4
- JBCS httpd 2.4.37-ER5

* Tue Oct 08 2019 Mladen Turk <mturk@redhat.com> - 1.39.2-3
- Fix JCBS-845

* Wed Sep 25 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - 1.39.2-2
- Building JCBS 2.4.37.ER4

* Wed Sep 04 2019 Petros Marios Prokopiou <pprokopi@redhat.com> - 1.39.2-1
- Upgrading nghttp2 sources to 1.39.2 from lookaside repo

* Wed Aug 21 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - 1.33.0-16
- CVE-2019-9511 CVE-2019-9513

* Tue Aug 06 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - 1.33.0-14
- JBCS 2.4.37.ER2

* Fri Jul 19 2019 Dimitris Sartzetakis <dsartzet@redhat.com> - %{version_major}.%{version_minor}.%{version_micro}-10
- JBCS 2.4.37.ER1

* Tue Jul 02 2019 Petros Marios Prokopiou <pprokopi@redhat.com> - 1.33.0-2
- Enabled tests [JBCS-713]

* Wed May 15 2019 Hui Wang <huwang@redhat.com> - %{version_major}.%{version_minor}.%{version_micro}-1
- Upgrade to 1.33.0

* Wed Oct 31 2018 Sokratis Zappis <szappis@redhat.com> - 1.29.0-9
- Build for JBCS httpd 2.4.29 SP1 DR1

* Wed May 16 2018 Hui Wang <huwang@redhat.com> - 1.29.0-8
- Fix JBCS-342

* Fri Apr 20 2018 Hui Wang <huwang@redhat.com> - 1.29.0-7
- Fix JBCS-349

* Fri Apr 20 2018 Hui Wang <huwang@redhat.com> - 1.29.0-6
- Fix JBCS-349

* Fri Apr 20 2018 Hui Wang <huwang@redhat.com> - 1.29.0-5
- Fix JBCS-349

* Tue Mar 06 2018 Jean-Frederic Clere <jclere@redhat.com> - 1.29.0-4
- arrange openssl part.

* Tue Mar 06 2018 Jean-Frederic Clere <jclere@redhat.com> - 1.29.0-3
- rebuild because of openssl rebuild

* Mon Mar 05 2018 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 1.29.0-2
- JBCS httpd 2.4.29

* Wed Jan 17 2018 Hui Wang <huwang@redhat.com> - 1.29.0-1
- Upgrade to 1.29.0

* Thu Aug 18 2016 Patrick Sutherland <csutherl@redhat.com> - 1.12.0-9
- Rebuilding to include scl prefix

* Wed Jul 20 2016 Patrick Sutherland <csutherl@redhat.com> - 1.12.0-8
- Rebuilding after el6 make updates

* Mon Jul 18 2016 Patrick Sutherland <csutherl@redhat.com> - 1.12.0-7
- Build after incorporating source-repos brew feature

* Mon Jul 18 2016 Coty Sutherland <csutherl@gmail.com> - 1.12.0-7
- Incorporating source-repos brew feature for future builds

* Mon Jul 18 2016 Jean-Frederic Clere <jclere@redhat.com> - 1.12.0-6
- Rebuild using ETT.

* Thu Jul 14 2016 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 1.12.0-5
- 

* Thu Jul 14 2016 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 1.12.0-2
- 

* Thu Jul 14 2016 George Zaronikas <gzaronik@redhat.com> - 1.12.0-1
- Upgrading nghttp2 to 1.12.0

* Wed Jul 13 2016 Jean-Frederic Clere <jclere@redhat.com> - 1.4.0-4
- 

* Wed Jul 06 2016 Jean-Frederic Clere <jclere@redhat.com> - 1.4.0-4
- 

* Tue Nov 17 2015 Weinan Li <weli@redhat.com> - 0:1.4.0-3
- Rebuild

* Tue Nov 17 2015 Weinan Li <weli@redhat.com> - 0:1.4.0-2
- Build for both el6 and el7

* Mon Nov 16 2015 Weinan Li <weli@redhat.com> - 0:1.4.0-1
- Initial build
